Package twisted :: Package python :: Module util

[show private | hide private]
[frames | no frames]

## Module twisted.python.util

Classes
`OrderedDict` | A UserDict that preserves insert order whenever possible.

Function Summary
| ``uniquify`(lst)` Make the elements of a list unique by inserting them into a dictionary.
| ``padTo`(n, seq, default)` Pads a sequence out to n elements,
| `getPluginDirs()`
| `addPluginDir()`
| ``sibpath`(path, sibling)` Return the path to a sibling of a file in the filesystem.
| ``getPassword`(prompt, confirm)` Obtain a password by prompting or from stdin.
| `dict(*a, **k)`
| `println(*a)`
| ``keyed_md5`(secret, challenge)` Create the keyed MD5 string for the given secret and challenge.
| ``makeStatBar`(width, maxPosition, doneChar, undoneChar, currentChar)` Creates a function that will return a string representing a progress bar.
| ``spewer`(frame, s, ignored)` A trace function for sys.settrace that prints every method call.

Function Details

### getPassword(prompt='Password: ', confirm=0)

Obtain a password by prompting or from stdin.

If stdin is a terminal, prompt for a new password, and confirm (if `confirm` is true) by asking again to make sure the user typed the same thing, as keystrokes will not be echoed.

If stdin is not a terminal, read in a line and use it as the password, less the trailing newline, if any.

  Returns:
    `str`

### keyed_md5(secret, challenge)

Create the keyed MD5 string for the given secret and challenge.

### makeStatBar(width, maxPosition, doneChar='=', undoneChar='-', currentChar='>')

Creates a function that will return a string representing a progress bar.

### padTo(n, seq, default=None)

Pads a sequence out to n elements,

filling in with a default value if it is not long enough.

If the input sequence is longer than n, raises ValueError.

Details, details: This returns a new list; it does not extend the original sequence. The new list contains the values of the original sequence, not copies.

### sibpath(path, sibling)

Return the path to a sibling of a file in the filesystem.

This is useful in conjunction with the special __file__ attribute that Python provides for modules, so modules can load associated resource files.

### spewer(frame, s, ignored)

A trace function for sys.settrace that prints every method call.

### uniquify(lst)

Make the elements of a list unique by inserting them into a dictionary.

Generated by Epydoc 1.1 on Thu May 8 13:16:50 2003 | http://epydoc.sf.net